<img src="zrep-logo.svg" width="150" align="left">

# Zsh Repository Tool (zrep)

zrep is a powerful and user-friendly package manager for the Zsh shell. It allows you to easily install, manage, and share Zsh packages, such as plugins, themes, and scripts, directly from a central repository.

## Key Features

- **Easy Installation**: zrep simplifies the process of installing Zsh packages. With a single command, you can install packages from the zrep repository.

- **Package Management**: zrep provides a set of commands to manage your installed packages. You can list, enable, disable, update, and remove packages effortlessly.

- **Centralized Repository**: All packages are stored in a central repository, making it convenient to discover and share Zsh packages with the community.

- **Automatic Setup**: zrep automatically sets up the necessary configuration files and directories, ensuring a smooth integration with your Zsh environment.

- **Customizable**: zrep allows you to customize the installation directory and other settings through a configuration file.

## Getting Started

To start using zrep, simply run the `zrep init` command to initialize the tool. zrep will guide you through the setup process and create the required configuration files.

Once initialized, you can explore and install packages using commands like `zrep install <author/package>`, `zrep list`, and `zrep enable <author/package>`.

## Contributing

zrep is an open-source project, and contributions are welcome! If you have any ideas, bug reports, or feature requests, please open an issue on the GitHub repository.

## License

zrep is released under the MIT License.
